al_append_native_text_log(3)

NAME

al_append_native_text_log - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_native_dialog.h>
    void al_append_native_text_log(ALLEGRO_TEXTLOG *textlog,
       char const *format, ...)

DESCRIPTION

Appends a line of text to the message log window and scrolls to the bottom (if the line would not be visible otherwise). This works like printf. A line is continued until you add a newline character.

If the window is NULL then this function will fall back to calling printf. This makes it convenient to support logging to a window or a terminal.